"Fossies" - the Fresh Open Source Software Archive

Member "asciidoctor-2.0.10/asciidoctor.gemspec" (1 Jun 2019, 2683 Bytes) of package /linux/www/asciidoctor-2.0.10.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Ruby source code syntax highlighting (style: standard) with prefixed line numbers and code folding option. Alternatively you can here view or download the uninterpreted source code file. See also the last Fossies "Diffs" side-by-side code changes report for "asciidoctor.gemspec": 2.0.7_vs_2.0.8.

    1 begin
    2   require_relative 'lib/asciidoctor/version'
    3 rescue LoadError
    4   require 'asciidoctor/version'
    5 end
    6 
    7 Gem::Specification.new do |s|
    8   s.name = 'asciidoctor'
    9   s.version = Asciidoctor::VERSION
   10   s.summary = 'An implementation of the AsciiDoc text processor and publishing toolchain'
   11   s.description = 'A fast, open source text processor and publishing toolchain for converting AsciiDoc content to HTML 5, DocBook 5, and other formats.'
   12   s.authors = ['Dan Allen', 'Sarah White', 'Ryan Waldron', 'Jason Porter', 'Nick Hengeveld', 'Jeremy McAnally']
   13   s.email = ['dan.j.allen@gmail.com']
   14   s.homepage = 'https://asciidoctor.org'
   15   s.license = 'MIT'
   16   # NOTE required ruby version is informational only; it's not enforced since it can't be overridden and can cause builds to break
   17   #s.required_ruby_version = '>= 2.3.0'
   18   s.metadata = {
   19     'bug_tracker_uri' => 'https://github.com/asciidoctor/asciidoctor/issues',
   20     'changelog_uri' => 'https://github.com/asciidoctor/asciidoctor/blob/master/CHANGELOG.adoc',
   21     'mailing_list_uri' => 'http://discuss.asciidoctor.org',
   22     'source_code_uri' => 'https://github.com/asciidoctor/asciidoctor'
   23   }
   24 
   25   # NOTE the logic to build the list of files is designed to produce a usable package even when the git command is not available
   26   begin
   27     files = (result = `git ls-files -z`.split ?\0).empty? ? Dir['**/*'] : result
   28   rescue
   29     files = Dir['**/*']
   30   end
   31   s.files = files.grep %r/^(?:(?:data|lib|man)\/.+|LICENSE|(?:CHANGELOG|README(?:-\w+)?)\.adoc|\.yardopts|#{s.name}\.gemspec)$/
   32   s.executables = (files.grep %r/^bin\//).map {|f| File.basename f }
   33   s.require_paths = ['lib']
   34   #s.test_files = files.grep %r/^(?:features|test)\/.+$/
   35 
   36   # asciimath is needed for testing AsciiMath in DocBook backend
   37   s.add_development_dependency 'asciimath', '~> 1.0.0'
   38   # coderay is needed for testing syntax highlighting
   39   s.add_development_dependency 'coderay', '~> 1.1.0'
   40   # concurrent-ruby, haml, slim, and tilt are needed for testing custom templates
   41   s.add_development_dependency 'concurrent-ruby', '~> 1.1.0'
   42   s.add_development_dependency 'cucumber', '~> 3.1.0'
   43   # erubis is needed for testing alternate eRuby impls
   44   s.add_development_dependency 'erubis', '~> 2.7.0'
   45   s.add_development_dependency 'haml', '~> 5.0.0'
   46   s.add_development_dependency 'minitest', '~> 5.11.0'
   47   s.add_development_dependency 'nokogiri', '~> 1.10.0'
   48   s.add_development_dependency 'rake', '~> 12.3.0'
   49   # Asciidoctor supports Rouge >= 2
   50   s.add_development_dependency 'rouge', '~> 3.3.0'
   51   s.add_development_dependency 'rspec-expectations', '~> 3.8.0'
   52   s.add_development_dependency 'slim', '~> 4.0.0'
   53   s.add_development_dependency 'tilt', '~> 2.0.0'
   54 end